package com.qizhen.healsphere.common.ai;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class Knowlege {
    @ExcelProperty("实体")
    private String entity;
    @ExcelProperty("属性")
    private String property;
    @ExcelProperty("属性值")
    private String value;
    @ExcelProperty("回答")
    private String answer;
    @ExcelProperty("refenrece")
    private String refenrece;
    @ExcelProperty("问题")
    private String question;
    @ExcelProperty("切片信息")
    private String chunk;

    public static void main(String[] args) {
        String t = "并发症\t的并发症有哪些疾病" +
                ",常见并发症\t的常见并发症有哪些疾病" +
                ",提示病情加重或进展的临床指标\t的诊疗过程或病程中出现哪些指标或情况，可能提示疾病进一步进展、加重或恶化。" +
                ",早期预警指标\t的早期临床预警指标有哪些" +
                ",病因\t的病因或常见病因有哪些病因或致病原因" +
                ",危险因素\t的危险因素或常见危险因素或危险诱发因素有哪些" +
                ",遗传方式\t的遗传方式有哪些遗传方式（如果该病无遗传方式，可回答“无”）" +
                ",遗传基因\t的遗传基因名称有哪些遗传基因名称" +
                ",诱因\t的诱因或诱发因素或常见诱因有哪些诱因" +
                ",出院标准\t的出院标准有哪些";
        if(t.startsWith("```json")){
            t = t.substring(7);
        }
        if(t.endsWith("```")){
            t = t.substring(0,t.length()-3);
        }
        System.out.println(t);
    }
}
